<?php
ob_end_clean();
include ("../includes/common.php");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/html2pdf2.php');
mysqli_query($conn,"set names 'utf8'");


function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
//___________________________________

    $id=$_GET['id'];
    
    $sql="SELECT def_registri.*,registri.* FROM def_registri,registri WHERE def_registri.id_def_registri=registri.id_def_registri AND id_registri='".$id."'";
    
    $ris=mysqli_query($conn,$sql);
    $row=mysqli_num_rows($ris);
    $rec=mysqli_fetch_array($ris);
    
    
    $anno_scolastico=trim($rec["anno_scolastico"]);
    $tipologia=trim($rec["tipologiaregistri"]);
    $tipologia = utf8_decode($tipologia);
    $ore=trim($rec["numore"]);
	$forfait = $rec["forfait"];
	$compenso = $rec["compenso"];
    $redattore=trim($rec["redattore"]);
    $data_incarico=formdata($rec["data_incarico"]);
    $mansioni = $rec["mansioni"];
    $testo_mansioni = stripslashes($rec["testo_mansioni"]);

    $pdf=new PDF('P','mm','A4');
    // metadati
    
    
    $pdf->AliasNbPages();
    $pdf->AddPage();
    
     // Logo
     


    $sqlb="SELECT * FROM generalinfo";
    
    $risb=mysqli_query($conn,$sqlb);
    $rowb=mysqli_num_rows($risb);
    $recb=mysqli_fetch_array($risb);
    $nome_scuola=trim($recb["nome_scuola"]);
    $intestazione=trim($recb["intestazione"]);
    $imgintestazione1=trim($recb["imgintestazione1"]);
    $imgintestazione2=trim($recb["imgintestazione2"]);
    $imgintestazione3=trim($recb["imgintestazione3"]);
    $city=trim($recb["city"]);
    $nome_ds=trim($recb["nome_ds"]);

    if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") 
    {$pdf->Image($imgintestazione1,95,15,20,20);
    $pdf->SetXY(10,40);
    $pdf->WriteHTMLinte($intestazione);}
    
    if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") 
    { $pdf->Image($imgintestazione1,15,15,20,20);
      $pdf->Image($imgintestazione2,170,15,20,20);
      $pdf->SetXY(10,15);
      $pdf->WriteHTMLinte($intestazione);
      //$pdf->MultiCell(100, 20, $intestazione);
     
     } 
     if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") 
    { $pdf->Image($imgintestazione1,15,15,20,20);
      $pdf->Image($imgintestazione2,95,15,20,20);
      $pdf->Image($imgintestazione3,170,15,20,20);
      $pdf->SetXY(10,40);
      $pdf->WriteHTMLinte($intestazione);
     } 
        
        // Arial bold 15
        $pdf->SetFont('Arial','',9);
    $w=277;
    $h=8;
    //$pdf->ln(15);

    $pdf->SetFont('Times','B',14);
    $pdf->Ln(10);
    $tit="A.S. ".$anno_scolastico;
    $pdf->Cell(0,10,$tit,0,1,'C');
    $pdf->SetFont('Times','B',14);
    $destinatario = ucwords(str_replace('.',' ', $redattore));
    $titolo ='Incarico '.$tipologia.' - '.$destinatario;
    $pdf->Cell(180,10,$titolo,0,1,'C');

    $w=185;
    $h=8;
    $pdf->SetFont('Arial','',10);
    $prologo = 'Il Dirigente  Scolastico, visto il Piano dell\'Offerta Formativa per l\'anno scolastico '.$anno_scolastico.', incarica la S.V. per la seguente attività:';
    $prologo=WriteH($prologo);
    $prologo = utf8_decode($prologo);
    $pdf->MultiCell($w,$h,$prologo,0,'L',0);
    $tipologia = WriteH($tipologia);
    $tipologia = $tipologia;
    $pdf->MultiCell($w, $h, $tipologia,0,'C',0);
    if ($mansioni==1)
    {
    $txt = 'L\'incarico conferito prevede i  seguenti compiti:';
    $txt = utf8_decode($txt);
    $pdf->MultiCell($w, $h, $txt,0,'L',0);	
    $testo_mansioni = WriteH($testo_mansioni);
    $testo_mansioni = utf8_decode($testo_mansioni);
    $pdf->MultiCell($w, $h, $testo_mansioni,0,'L',0);	
    }
 
    if ($forfait == 0){
		$txt = 'Il numero massimo di ore  previste per lo svolgimento di questo incarico è di '.$ore.'; tale previsione potrebbe subire variazioni in sede di contrattazione integrativa d\'Istituto.';
		}
		else{
			$compenso = number_format($compenso,2,',','.');
			$txt = 'Questo incarico prevede un compenso forfettario di '.$compenso.' euro lordo dipendente; tale previsione potrebbe subire variazioni in sede di contrattazione integrativa d\'Istituto.'; 
		}
	$txt = WriteH($txt);
    $txt = utf8_decode($txt);
    $pdf->MultiCell($w, $h, $txt,0,'L',0);
    $txt = 'Il compenso corrispondente sarà assoggetto alle ritenute di legge. La relativa spesa graverà sulla scheda del Programma Annuale dell\'Istituto. Il compenso verrà liquidato a consuntivo dell\'attività, su determinazione del Dirigente Scolastico, viste la relazione finale e la scheda di registrazione delle ore svolte. La S.V. è tenuta a documentare l\'attività tramite l\'apposito modulo disponibile sul sito dell\'Istituto.';
    $txt = WriteH($txt);
    $txt = utf8_decode($txt);
    $pdf->MultiCell($w, $h, $txt,0,'L',0);
    $pdf->Ln(3);


    $txt=utf8_decode($city).", ".$data_incarico;
    
    $pdf->Cell($w,$h,$txt,0,1,'L');
    $pdf->SetFont('Arial','I',12);
    $pdf->Cell(180,$h,'Il Dirigente Scolastico',0,1,'R');
    $pdf->Cell(180,$h,utf8_decode($nome_ds),0,1,'R');
    $pdf->SetX(-75);
    $pdf->SetFont('Arial','I',7);
    $height=4;
    $pdf->MultiCell(55,$height,'Firma autografa sostituita a mezzo stampa ai sensi dell\'art. 3, comma 2, del D.Lgs. 39/93',0,'R',0);
    
    $pdf->Output();
?>