<?php
    ob_end_clean();
    include ("../includes/common.php");
    include("../includes/write.php");
    include ("../includes/ini.php");
    define('FPDF_FONTPATH','../includes/fpdf/font/');
    require('../includes/fpdf/html2pdf2.php');
    mysqli_query($conn,"set names 'utf8'");
    
    session_start();
    
	  function get_utente($ut,$table,$campo,$conn){//recupera nome e cognome di un utente dalle tabelle utenti o alunni
        $sql = "SELECT nome,cognome FROM $table WHERE $campo='$ut'";
        $ris = mysqli_query($conn,$sql) or die(mysqli_error($conn));
        $rec = mysqli_fetch_array($ris);
        return $rec["nome"].' '.$rec["cognome"];
    }
	
    $id_elezioni=$_GET['id'];
    
	$oggi = date('d/m/Y');
	$ora = date('H:i');
	$data_oggi = date('d').' '.$mese[date('m')].' '.date('Y');
	$sql = "SELECT * FROM elezioni WHERE id_elezioni='$id_elezioni'";
	$ris = mysqli_query($conn,$sql) or dies($conn);
	$elezione = mysqli_fetch_array($ris);
    $descrizione = $elezione["descrizione"];
	$voti_validi= $elezione["voti_validi"];
	$schede_bianche = $elezione["schede_bianche"];
	$segretario = $elezione["segretario"];
	$segretario = get_utente($segretario,"utenti","utente",$conn);
	$presidente = $elezione["presidente"];
	$presidente = get_utente($presidente,"utenti","utente",$conn);
	$scrutatore = $elezione["scrutatore"];
	$scrutatore = get_utente($scrutatore,"utenti","utente",$conn);
	$iscritti = $elezione["iscritti"];
	$inizio = $elezione["inizio"];
	$fine = $elezione["fine"];
    $tip_cand=array('docenti','ata','genitori','studenti');
    $componente = $tip_cand[$elezione["tipologia_candidati"]];
    
    $pdf=new PDF('P','mm','A4');
    // metadati
    
    
    $pdf->AliasNbPages();
    $pdf->AddPage();
    
     // Logo
    $sqlb="SELECT * FROM generalinfo";
    
    $risb=mysqli_query($conn,$sqlb);
    $rowb=mysqli_num_rows($risb);
    $recb=mysqli_fetch_array($risb);
    $nome_scuola=trim($recb["nome_scuola"]);
    $intestazione=trim($recb["intestazione"]);
    $imgintestazione1=trim($recb["imgintestazione1"]);
    $imgintestazione2=trim($recb["imgintestazione2"]);
    $imgintestazione3=trim($recb["imgintestazione3"]);
    $city=trim($recb["city"]);
    $nome_ds=trim($recb["nome_ds"]);
       
    if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") $pdf->Image($imgintestazione1,95,5,15,15);
    if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") 
    { $pdf->Image($imgintestazione1,30,5,15,15);
      $pdf->Image($imgintestazione2,170,5,15,15);
     
     } 
     if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") 
    { $pdf->Image($imgintestazione1,30,5,15,15);
      $pdf->Image($imgintestazione2,95,5,15,15);
      $pdf->Image($imgintestazione3,170,5,15,15);
     
     } 
        
        // Arial bold 15
        $pdf->SetFont('Arial','',9);
    $w=277;
    $h=8;
    $pdf->ln(15);
    
    $pdf->WriteHTMLinte($intestazione);
        
    $pdf->SetFont('Times','B',14);
    $pdf->Ln(20);
    $tit="ELEZIONI ".strtoupper($descrizione);
    $pdf->Cell(0,10,$tit,0,1,'C');
	$pdf->Ln(10);
	$subtit = "COMPONENTE ".strtoupper($componente);
	$pdf->Cell(0,10,$subtit,0,1,'C');
    $pdf->SetFont('Times','B',18);
	$pdf->Ln(20);
    $pdf->Cell(0,10,'VERBALE',0,1,'C');
	$pdf->Ln(10);
    $pdf->SetFont('Times','B',14);
    $txt="DELLE OPERAZIONI DI SPOGLIO DEI VOTI";
	$pdf->Cell(0,10,$txt,0,1,'C');
	$pdf->Ln(80);
	$pdf->SetFont('Times','',12);
	$txt = "DATE DELLE VOTAZIONI";
    $pdf->Cell(0,10,$txt,0,1,'C');
    $pdf->SetFont('Times','',10);
	$data1 = str_replace('-', '/', $inizio);
    $data1 = date('d/m/Y', strtotime($data1));
	$data2 = str_replace('-', '/', $fine);
    $data2 = date('d/m/Y', strtotime($data2));
	$giorni = "Dal ".$data1." al ".$data2;
    $pdf->Cell(0,10,$giorni,0,1,'C');
    $pdf->AddPage();
	$txt = "Il giorno ".$data_oggi." alle ".$ora." si riunisce la commissione del seggio elettorale costituita dai sigg. ".$presidente.", ".$scrutatore.", ".$segretario.".";
	$txt = utf8_decode($txt);
	$pdf->MultiCell(190,6,$txt,0,'L',0);
	$txt = "La seduta è presieduta da ".$presidente." che svolge il ruolo di presidente della commissione elettorale. Segretario della seduta è ".$segretario.".";	
    $txt = utf8_decode($txt);
	$pdf->MultiCell(190,6,$txt,0,'L',0);
	$txt = "Constatata la conclusione delle operazioni di voto, la commissione procede alla visualizzazione dei risultati.";
	$txt = utf8_decode($txt);
	$pdf->MultiCell(200,6,$txt,0,'L',0);
	
	//$txt = "Risultano iscritti a votare ".$iscritti." elettori. Hanno votato ".($voti_validi+$schede_bianche)." elettori, pari a una percentuale del ".$perc."%.";
	$txt = "Gli scrutatori verificano le TABELLE DI SCRUTINIO per la registrazione dei voti.";
	$txt = utf8_decode($txt);
	$pdf->MultiCell(200,6,$txt,0,'L',0);
	$txt = "NUMERO DEGLI ELETTORI E DEI VOTANTI";
	$pdf->SetFont('Times','B',12);
	$txt = utf8_decode($txt);
	$pdf-> Ln(6);
	$pdf->MultiCell(200,6,$txt,0,'L',0);
	$pdf->SetFont('Times','',10);
	$h=10;
        $bck=0;
        $w=50;
        $txt="COMPONENTE";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=50;
        $txt="ELETTORI ISCRITTI";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        
        $w=50;
        $txt="VOTANTI";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=30;
        $txt="%";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);       
        $pdf->RowTable($w,$h,$txt,1,'c');
		
		$w=50;
        $txt=strtoupper($componente);
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=50;
        $pdf->RowTable($w,$h,$iscritti,$bck,'c');
        $votanti = $voti_validi+$schede_bianche;
		$perc = 100*$votanti/$iscritti;
		$perc = number_format($perc, 2, '.', '');
        $w=50;        
        $pdf->RowTable($w,$h,$votanti,$bck,'c');
        $w=30;      
        $pdf->RowTable($w,$h,$perc,1,'c');
		
		$txt = "SCHEDE SPOGLIATE E VOTI ASSEGNATI";
	$pdf->SetFont('Times','B',12);
	$txt = utf8_decode($txt);
	$pdf-> Ln(6);
	$pdf->MultiCell(200,6,$txt,0,'L',0);
	$pdf->SetFont('Times','',10);
	$h=10;
        $bck=0;
        $w=40;
        $txt="COMPONENTE";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=40;
        $txt="SCHEDE BIANCHE";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=35;
        $txt="SCHEDE NULLE";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=35;
        $txt="VOTI VALIDI";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=30;
        $txt="TOTALE";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);   
        $pdf->RowTable($w,$h,$txt,1,'c');
		
		$bck=0;
        $w=40;
        $txt=strtoupper($componente);
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=40;
        $pdf->RowTable($w,$h,$schede_bianche,$bck,'c');
        $w=35;
        $txt="0";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=35;
		$pdf->RowTable($w,$h,$voti_validi,$bck,'c');
        $w=30;
        $pdf->RowTable($w,$h,$votanti,1,'c');
	
	$txt = "VOTI DI LISTA E VOTI DI PREFERENZA DI CIASCUN CANDIDATO";
	$pdf->SetFont('Times','B',12);
	$txt = utf8_decode($txt);
	$pdf-> Ln(12);
	$pdf->MultiCell(200,6,$txt,0,'L',0);
	$pdf->SetFont('Times','',10);
	//$pdf-> Ln(6);
	
	$sql1 = "SELECT * FROM liste_elezioni WHERE id_elezioni= '$elezione[id_elezioni]' ORDER BY romano";
	$ris1 = mysqli_query($conn,$sql1) or dies($conn);
	while($liste = mysqli_fetch_array($ris1)){
		if ($pdf->GetY()>=250) $pdf->AddPage();
		$txt = 'Lista '.$liste["romano"].' - '.$liste["motto"];
		$pdf->SetFont('Times','B',12);
		$txt = utf8_decode($txt);
		$pdf-> Ln(6);
		$pdf->MultiCell(200,6,$txt,0,'L',0);
		if ($pdf->GetY()>=250) $pdf->AddPage();
		$txt = 'Voti di lista: '.$liste["voti"];
		$pdf->SetFont('Times','B',12);
		$txt = utf8_decode($txt);
		//$pdf-> Ln(6);
		$pdf->MultiCell(200,6,$txt,0,'L',0);
		if ($pdf->GetY()>=250) $pdf->AddPage();
		$txt = 'Preferenze';
		$pdf->SetFont('Times','B',12);
		$txt = utf8_decode($txt);
		//$pdf-> Ln(2);
		$pdf->MultiCell(200,6,$txt,0,'L',0);
		if ($pdf->GetY()>=250) $pdf->AddPage();
		$sql2 = "SELECT * FROM candidati_elezioni WHERE id_liste_elezioni='$liste[id_liste_elezioni]' ORDER BY voti DESC";
		$ris2 = mysqli_query($conn,$sql2) or dies($conn);
		$n_cand = 0;
		$pdf->SetFont('Times','',10);
		while($candidati = mysqli_fetch_array($ris2)){
			$n_cand++;
			$cand = get_utente($candidati["candidato"], "utenti", "utente", $conn);
			$bck=0;
			$w=10;
			$pdf->RowTable($w,$h,$n_cand,$bck,'c');
			$w=50;
			$cand = strtoupper($cand);
			$cand = utf8_decode($cand);
			$pdf->RowTable($w,$h,$cand,$bck,'c');
			$w=35;
			$v = $candidati["voti"];
			$pdf->RowTable($w,$h,$v,1,'c');
			if ($pdf->GetY()>=250) $pdf->AddPage();
			}
		
	}
	$pdf->SetFont('Times','',10);
    $pdf->Ln(12);
	$start = date('Y-m-d H:i:s');
	$ora = date('H:i',strtotime('+30 minutes',strtotime($start)));
	$txt = "Constatata la regolarità di tutta la procedura, il presidente dichiara chiusa la seduta alle ore ".$ora.".";
	$txt = utf8_decode($txt);
	$pdf->MultiCell(190,6,$txt,0,'L',0);
	$txt = "Il presente verbale viene approvato, sottoscritto e inviato alla commissione elettorale.";
	$txt = utf8_decode($txt);
	$pdf->MultiCell(190,6,$txt,0,'L',0);
    $pdf->Ln(10);
	$data_oggi = date('d').' '.$mese[date('m')].' '.date('Y');
    $txt=$city.", ".$data_oggi;
    $pdf->Cell($w,$h,$txt,0,1,'L');
   
    $pdf->Cell(180,4,"Il segretario",0,1,'R');
    $pdf->Cell(180,$h,ucwords($segretario),0,1,'R');
    $pdf->SetX(-80);
    $pdf->SetFont('Arial','I',7);
    $height=4;
    $pdf->MultiCell(60,$height,'Firma autografa sostituita a mezzo stampa ai sensi dell\'art. 3, comma 2, del D.Lgs. 39/93',0,'R',0);
    
    $pdf->Output();
?>