<?php
ob_end_clean();
include ("../includes/common.php");
include("../includes/write.php");
include ("../includes/ini.php");
mysqli_query($conn,"set names 'utf8'");
include "ini_esami.php";
require('../includes/fpdf/mc_table.php');

function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
function utf8_aph($str){
    $titolo1 = iconv('UTF-8', 'windows-1252', $str);
    $titolo2 = str_replace("’", "'", $titolo1);
    return ($titolo2);
}
//___________________________________
$pdf=new PDF_MC_Table();

//$pdf=new PDF('P','mm','A4');
// metadati


    $pdf->AliasNbPages();
    $target= $_GET["target"];//id della scheda
    $anno_scolastico = $_GET["anno_scolastico"];
    //recupero dati esame*****************************
    $sql0 = "SELECT * FROM dati_esami WHERE target='$target' AND anno_scolastico='$anno_scolastico'";
    $ris0 = mysqli_query($conn,$sql0)or die(mysqli_error($conn));
    $riga = mysqli_fetch_array($ris0);
    $presidente = ucwords(strtolower($riga["presidente"]));
    $data_scrutinio = $riga["data_scrutinio"];
    $data_plenaria = $riga["data_plenaria"];
    $comm = $riga["commissari"];
    $commissari = explode('*',$comm);
    //recupero dati scuola******************************
    $sqlb="SELECT * FROM generalinfo";
    $risb=mysqli_query($conn,$sqlb);
    $rowb=mysqli_num_rows($risb);
    $recb=mysqli_fetch_array($risb);
    $nome_scuola=trim($recb["nome_scuola"]);
    $intestazione=trim($recb["intestazione"]);
    $city=trim($recb["city"]);
    $imgintestazione1="../img/logo_rep.jpg";
    $nome_ds=trim($recb["nome_ds"]);
    
    //inizio copertina
    $pdf->AddPage();
    $pdf->Image($imgintestazione1,95,15,20,20);
    $tit = utf8_decode("Ministero dell'Istruzione, dell'Università e della Ricerca");
    $pdf->SetFont('Arial','B',10);
    $pdf->SetXY(10,40);
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetXY(10,50);
    $pdf->WriteHTMLinte($intestazione);
    
    $pdf->SetFont('Arial','',12);
    $pdf->Ln(10);
    $tit="Scuola Secondaria di I grado";
    $pdf->Cell(0,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',16);
    $pdf->Cell(0,10,$nome_scuola,0,1,'C');
    $pdf->Ln(40);
    $pdf->SetFont('Arial','B',24);
    $tit = utf8_decode("REGISTRO GENERALE \n DELL'ESAME DI STATO");
    $pdf->MultiCell(190,10,$tit,0,'C',0);
    $pdf->Ln(40);
    $pdf->SetFont('Arial','B',14);
    $tit = "CLASSE: ".$target;
    $pdf->Cell(190,10,$tit,0,1,'C');
    $tit = "ANNO SCOLASTICO: ".$anno_scolastico;
    $pdf->Cell(190,10,$tit,0,1,'C');
    //fine copertina
    
    //seconda pagina
    $pdf->AddPage();
    $pdf->SetFont('Arial','I',8);
    $pdf->SetXY(10,15);
    $tit = $target. " - ".$anno_scolastico;
    $pdf->Cell(190,10,$tit,0,1,'R');
    $pdf->Line(10,25,200,25);
    $pdf->Image($imgintestazione1,95,10,15,15);
    $pdf->Ln(20);
    $pdf->SetFont('Arial','',12);
    $tit="Scuola Secondaria di I grado";
    $pdf->Cell(0,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',16);
    $pdf->Cell(0,10,$nome_scuola,0,1,'C');
    $pdf->SetFont('Arial','B',13);
    $tit = "Classe ".$target. " - Anno scolastico ".$anno_scolastico;
    $pdf->Cell(0,10,$tit,0,1,'C');
    $pdf->Ln(5);
    $pdf->SetWidths(array(80,50,40));
    $pdf->Row(array("CANDIDATO","ESITO","VOTO FINALE"));
    $pdf->SetFont('Arial','',11);
    $sql = "SELECT esito,voto_commissione,lode,nome,cognome FROM esami_stato WHERE target='$target' AND anno_scolastico='$anno_scolastico' AND stato='1' ORDER BY cognome,nome ";
    $ris = mysqli_query($conn,$sql)or die(mysqli_error());
    while($row = mysqli_fetch_array($ris)){
        $nome = utf8_decode(ucwords(strtolower($row["cognome"])).' '.ucwords(strtolower($row["nome"])));
        $esito = $esito_registro[$row["esito"]];
        $voto = $str_voto[$row["voto_commissione"]].'/10';
        $lode = $row["lode"];
        if($lode=="1")$voto.= " con lode";
        if($row["esito"]=='4')$voto = '';
        $pdf->Row(array($nome,$esito,$voto));
    }
    $pdf->Ln(10);
    $tit = "IL PRESIDENTE \n ".$presidente."\n ________________________________";
    $pdf->SetFont('Arial','',9);
    $pdf->SetX(130);
    $pdf->MultiCell(80,8,$tit,0,'C',0);
    $pdf->SetY(271);
    $pdf->SetFont('Arial','I',8);
    $pdf->Cell(190,4,"Pagina 2",0,'R',0);
    $pdf->Line(10,270,200,270);
    //fine seconda pagina
    
    //inizio terza pagina
    $pdf->AddPage();
    $pdf->SetFont('Arial','I',8);
    $pdf->SetXY(10,15);
    $tit = $target. " - ".$anno_scolastico;
    $pdf->Cell(190,10,$tit,0,1,'R');
    $pdf->Line(10,25,200,25);
    $pdf->Ln(20);
    $pdf->SetFont('Arial','',12);
    $tit="Scuola Secondaria di I grado";
    $pdf->Cell(0,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',16);
    $pdf->Cell(0,10,$nome_scuola,0,1,'C');
    $pdf->SetFont('Arial','',14);
    $tit = "La sottocommissione esaminatrice della classe \n".$target;
    $pdf->MultiCell(190,10,$tit,0,'C',0);
    $pdf->Ln(10);
    $pdf->SetFont('Arial','',12);
    for($i=0;$i<sizeof($commissari);$i++){
        $sql4 = "SELECT cognome,nome FROM utenti WHERE utente='$commissari[$i]'";
        $ris4 = mysqli_query($conn,$sql4)or die(mysqli_error($conn));
        $rec4 = mysqli_fetch_array($ris4);
        $cognome = utf8_decode(ucwords(strtolower($rec4["cognome"])));
        $nome = utf8_decode(ucwords(strtolower($rec4["nome"])));
        $num_trattini = 45 - strlen($cognome)-strlen($nome);
        $tit = ($i+1).'. '.$cognome.' '.$nome.' ';
        $pdf->Cell(0,8,$tit,0,1,'L');
        $x = $pdf->GetX();
        $y = $pdf->GetY();
        $pdf->Line($x,$y,180,$y);
    }
    $pdf->Ln(10);
    $pdf->SetFont('Arial','',10);
    $tit = ucwords(strtolower($city)).', '.ch_date_format1($data_plenaria);
    $pdf->Cell(0,10,$tit,0,1,'L');
    $tit = "IL PRESIDENTE \n ".$presidente."\n ________________________________";
    $pdf->SetFont('Arial','',9);
    $pdf->SetX(130);
    $pdf->MultiCell(80,8,$tit,0,'C',0);
    $pdf->SetY(271);
    $pdf->SetFont('Arial','I',8);
    $pdf->Cell(190,4,"Pagina 3",0,'R',0);
    $pdf->Line(10,270,200,270);
    //fine terza pagina
    
    //inizio pagine successive
    $pag = 4;
    
    $sql = "SELECT id_esami_stato FROM esami_stato WHERE target='$target' AND anno_scolastico='$anno_scolastico' AND stato='1' ORDER BY cognome,nome ";
    $ris = mysqli_query($conn,$sql)or die(mysqli_error());
    if (mysqli_num_rows($ris)>0){
        while($rid = mysqli_fetch_array($ris)){
            $id = $rid["id_esami_stato"];
            $sqlnew="SELECT * FROM esami_stato WHERE id_esami_stato='$id'";
            $risnew=mysqli_query($conn,$sqlnew) or die ('Impossibile selezionare il database');
            $row = mysqli_fetch_array($risnew);
            $cognome = $row["cognome"];
            $nome = $row["nome"];
            $nato = $row["nato"];
            $provincia = $row["provincia"];
            $data_nascita = $row["data_nascita"];;
            $giudizio_ammissione = utf8_aph($row["giudizio_ammissione"]);
            $voto_ammissione = $str_voto[$row["voto_ammissione"]];
            $consiglio_orientativo = utf8_aph($row["consiglio_orientativo"]);
            $giudizio_finale = utf8_aph($row["giudizio_finale"]);
            $giudizio_privatisti_non_licenziati = $row["giudizio_privatisti_non_licenziati"];
            $voto_commissione = $str_voto[$row["voto_commissione"]];
            $esito = $str_esito[$row["esito"]];
            if($row["esito"]==1)$esito.= " con la valutazione di ".$voto_commissione."/10";
            $lode = $row["lode"];
            if($lode=="1")$esito.= " con lode";
            
            $pdf->AddPage();
            $pdf->SetFont('Arial','I',8);
            $pdf->SetXY(10,15);
            $tit = $target. " - ".$anno_scolastico;
            $pdf->Cell(190,10,$tit,0,1,'R');
            $pdf->Line(10,25,200,25);
            $pdf->Ln(4);
            $tit = utf8_decode(ucwords(strtolower($cognome))).' '.utf8_decode(ucwords(strtolower($nome)))."\n Nato/a a: ".utf8_decode(ucwords(strtolower($nato))).' ('.ucwords($provincia).') il '.formdata($data_nascita);
            $pdf->SetFont('Arial','',10);
            $pdf->MultiCell(190,6,$tit,0,'L',0);
            $x = $pdf->GetX();
            $y = $pdf->GetY();
            $pdf->Line($x,$y,200,$y);
            $pdf->SetFont('Arial','',9);
            $tit="SCRUTINIO FINALE";
            $pdf->Cell(0,10,$tit,0,1,'C');
            $x = $pdf->GetX();
            $y = $pdf->GetY();
            $pdf->Line($x,$y,200,$y);
            $tit="GIUDIZIO DI AMMISSIONE";
            $pdf->Cell(0,10,$tit,0,1,'L');
            $pdf->MultiCell(190,4,$giudizio_ammissione,0,'L',0);
            $pdf->Ln(5);
            $x = $pdf->GetX();
            $y = $pdf->GetY();
            $pdf->Line($x,$y,200,$y);
            $pdf->Ln(5);
            $tit=utf8_decode("RISULTATO FINALE:\nL'alunno/a è stato ammesso/a all'esame di Stato conclusivo del primo ciclo di istruzione");
            $pdf->MultiCell(190,4,$tit,0,'L',0);
            $tit = utf8_decode("Voto di ammissione all'esame: ").$voto_ammissione."/10";
            $pdf->Cell(0,6,$tit,0,1,'L');
            $tit = ucwords(strtolower($city)).', '.ch_date_format1($data_scrutinio);
            $pdf->Cell(0,10,$tit,0,1,'L');
            $tit = "Il Dirigente scolasttico \n ".$nome_ds."\n ________________________________";
            $pdf->SetFont('Arial','',9);
            $pdf->SetX(130);
            $pdf->MultiCell(80,6,$tit,0,'C',0);
            $x = $pdf->GetX();
            $y = $pdf->GetY();
            $pdf->Line($x,$y,200,$y);
            $tit = "ESAME CONCLUSIVO DEL PRIMO CICLO DI ISTRUZIONE \n GIUDIZIO FINALE";
            $pdf->MultiCell(190,6,$tit,0,'C',0);
            $x = $pdf->GetX();
            $y = $pdf->GetY();
            $pdf->Line($x,$y,200,$y);
            $pdf->Ln(3);
            $pdf->MultiCell(190,4,$giudizio_finale,0,'L',0);
            $pdf->Ln(4);
            $x = $pdf->GetX();
            $y = $pdf->GetY();
            $pdf->Line($x,$y,200,$y);
            $pdf->Ln(3);
            $tit = "CONSIGLIO ORIENTATIVO: ".$consiglio_orientativo;
            $pdf->MultiCell(190,4,$tit,0,'L',0);
            $pdf->Ln(4);
            $x = $pdf->GetX();
            $y = $pdf->GetY();
            $pdf->Line($x,$y,200,$y);
            $pdf->Ln(3);
            $tit = "RISULTATO FINALE: ".$esito;
            $pdf->MultiCell(190,4,$tit,0,'L',0);
            $pdf->Ln(10);
            $pdf->SetFont('Arial','',10);
            $tit = ucwords(strtolower($city)).', '.ch_date_format1($data_plenaria);
            $pdf->Cell(0,10,$tit,0,1,'L');
            $tit = "IL PRESIDENTE \n ".$presidente."\n ________________________________";
            $pdf->SetFont('Arial','',9);
            $pdf->SetX(130);
            $pdf->MultiCell(80,6,$tit,0,'C',0);
            $pdf->SetY(271);
            $pdf->SetFont('Arial','I',8);
            $pdf->Cell(190,4,"Pagina ".$pag,0,'R',0);
            $pdf->Line(10,270,200,270);
            $pag++;
           
        }
    }
    //fine pagine successive
    $nomefile = "registro-".$target.'.pdf';
    $pdf->Output($nomefile,"I");
?>