<?php
ob_end_clean();
include ("../includes/common.php");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/html2pdf2.php');
mysqli_query($conn,"set names 'utf8'");

function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}
//___________________________________
function formdatarid ($vardata)
{
	$annodata=substr($vardata,2,2);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	return($giornodata.'/'.$mesenum.'/'.$annodata);
}
//___________________________________

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
//___________________________________




    $id=$_GET['id'];
    $sql="SELECT def_registri.*,registri.* FROM def_registri,registri WHERE def_registri.id_def_registri=registri.id_def_registri AND id_registri='".$id."'";
    $ris=mysqli_query($conn,$sql);
    $row=mysqli_num_rows($ris);
    $rec=mysqli_fetch_array($ris);
    $anno_scolastico=trim($rec["anno_scolastico"]);
    $tipologia=trim($rec["tipologiaregistri"]);
    $ore=trim($rec["numore"]);
    $datapresentazione=date("Y-m-d");
    $redattore=trim($rec["redattore"]);
    $sqlsum = "SELECT SUM(ore) as sum FROM item_registri WHERE id_registri = '$id' and firma='1'"; 
    $rissum = mysqli_query($conn,$sqlsum)or die("impossibile sommare le ore");
    $recsum = mysqli_fetch_array($rissum);
    $oresvolte = $recsum["sum"];
    
    $pdf=new PDF('L','mm','A4');
    
    // metadati
    $pdf->AliasNbPages();
    $pdf->AddPage();
    
     // Logo
    $sqlb="SELECT * FROM generalinfo";
    $risb=mysqli_query($conn,$sqlb);
    $rowb=mysqli_num_rows($risb);
    $recb=mysqli_fetch_array($risb);
    $imgintestazione1=trim($recb["imgintestazione1"]);
    $imgintestazione2=trim($recb["imgintestazione2"]);
    $imgintestazione3=trim($recb["imgintestazione3"]);
    if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") $pdf->Image($imgintestazione1,142,5,15,15);
    if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") { 
        $pdf->Image($imgintestazione1,20,5,15,15);
        $pdf->Image($imgintestazione2,265,5,15,15);
     } 
     if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") { 
         $pdf->Image($imgintestazione1,20,5,15,15);
          $pdf->Image($imgintestazione2,142,5,15,15);
          $pdf->Image($imgintestazione3,265,5,15,15);
     } 
        
    // Arial bold 15
    $pdf->SetFont('Arial','',9);
    $w=277;
    $h=8;
    $pdf->ln(1);
    $intestazione=trim($recb["intestazione"]);
    $pdf->WriteHTMLinte($intestazione);
    $pdf->SetFont('Times','B',16);
    $pdf->Ln(10);
    $tit="REGISTRO ATTIVITÀ - A.S. ".$anno_scolastico;
    $tit = utf8_decode($tit);
    $pdf->Cell(0,10,$tit,0,1,'C');
    $nome = ucwords(str_replace('.', ' ', $redattore));
    $txt = $tipologia.' - '. $nome;
    $pdf->Cell(0,10,$txt,0,1,'C');
    $pdf->SetFont('Times','B',14);
    $tipo="Tipologia di incarico: ";
    $pdf->Cell(60,10,$tipo,0,0,'L');
    $pdf->SetFont('Times','B',14);
    $pdf->Cell(0,10,$tipologia,0,1,'L');
    $w=277;
    $h=8;
    $pdf->SetFont('Times','B',14);  
    $sql1="SELECT * FROM item_registri WHERE id_registri='".$id."'";
    $ris1 = mysqli_query($conn,$sql1);
    $num=mysqli_num_rows($ris1);
     
    $h=8;
    $bck=0;
    $w=20.;
    $pdf->RowTable($w,$h,'Data',$bck,'c');
    $w=20.;
    $pdf->RowTable($w,$h,'Dalle',$bck,'m');
    $w=20.;
    $pdf->RowTable($w, $h, 'Alle', $bck, 'm');
    $w=20.;
    $pdf->RowTable($w,$h,'Ore',$bck,'c');
    $w=180;
    $txt = utf8_decode('Descrizione attività');
    $pdf->RowTable($w,$h,$txt,1,'m');
    $pdf->SetFont('Times','',12);
    
    if ($num>0) {
        $totale=0;
        $yshift=0;
        while($rec1 = mysqli_fetch_array($ris1)){
            if ($pdf->GetY()>=250) $pdf->AddPage();
            $descrizione=trim($rec1["descrizione"]);
            $giorno=trim($rec1["giorno"]);
            $giorno = formdatarid($giorno);
            $ore=trim($rec1["ore"]);
            $dalle=trim($rec1["dalle"]);
            $alle=trim($rec1["alle"]);         
            $h1=8*strlen($descrizione)/69;
            $h2=8*strlen($giorno)/12;
            if ($h1>=$h2) $h=$h1;
            if ($h1<$h2) $h=$h2;
            if ($h<8) $h=8;
            $bck=0;
            $w=20.;
            $pdf->RowTable($w,$h,$giorno,$bck,'c');
            $w=20.;
            $pdf->RowTable($w,$h,$dalle,$bck,'m');
            $w=20.;
            $pdf->RowTable($w,$h,$alle,$bck,'m');
            $w=20.;
            $pdf->RowTable($w, $h, $ore, $bck, 'm');
            $w=180;
            $pdf->RowTable($w,$h,$descrizione,1,'m');
    }
    $pdf->SetFont('Times','B',16);
    $w = 60;
    $pdf->RowTable($w, $h, 'Totale ore', $bck, 'c');
    $w = 20;
    $pdf->RowTable($w, $h, $oresvolte, 1, 'm');
    
    }
    if ($num==0) {
    $pdf->Cell($w,$h,'Nessuna azione realizzata',0,1,'L');
    }
    
    $pdf->ln(3);
    $sqlc="SELECT * FROM generalinfo";
    $risc=mysqli_query($conn,$sqlc);
    $recc = mysqli_fetch_array($risc);
    $city=trim($recc["city"]);
    $txt=utf8_decode($city).", ".formdata($datapresentazione);
    $pdf->Cell($w,$h,$txt,0,1,'L');
    $sql2="SELECT * FROM utenti WHERE utente='".$redattore."'";
    $ris2=mysqli_query($conn,$sql2);
    $rec2 = mysqli_fetch_array($ris2);
    $nome=trim($rec2["nome"]);
    $cognome=trim($rec2["cognome"]);
    
    $pdf->Cell(260,$h,ucwords($nome).' '.ucwords($cognome),0,1,'R');
    $pdf->SetX(-80);
    $pdf->SetFont('Arial','I',7);
    $height=4;
    $pdf->MultiCell(60,$height,'Firma autografa sostituita a mezzo stampa ai sensi dell\'art. 3, comma 2, del D.Lgs. 39/93',0,'R',0);
    
    $pdf->Output();
?>